OpenVDB: RootNodeMask::BaseIterator Class Reference

OpenVDB 6.1.0

Public Member Functions | Protected Attributes | List of all members
RootNodeMask::BaseIterator Class Reference

`#include <NodeMasks.h>`

Inherited by RootNodeMask::DenseIterator, RootNodeMask::OffIterator, and RootNodeMask::OnIterator.

## Public Member Functions
| BaseIterator ()
| BaseIterator (const BaseIterator &)=default
| BaseIterator (Index32 pos, const RootNodeMask *parent)
bool | operator== (const BaseIterator &iter) const
bool | operator!= (const BaseIterator &iter) const
bool | operator< (const BaseIterator &iter) const
BaseIterator & | operator= (const BaseIterator &iter)
Index32 | offset () const
Index32 | pos () const
bool | test () const
| operator bool () const

## Protected Attributes
Index32 | mPos
Index32 | mBitSize
const RootNodeMask * | mParent

## Constructor & Destructor Documentation

## ◆ BaseIterator() [1/3]

BaseIterator | ( |  | ) |
| inline

## ◆ BaseIterator() [2/3]

BaseIterator | ( | const BaseIterator & |  | ) |
| default

## ◆ BaseIterator() [3/3]

BaseIterator | ( | Index32 | pos,
|  | const RootNodeMask * | parent
| ) |  |
| inline

## Member Function Documentation

## ◆ offset()

Index32 offset | ( |  | ) | const
| inline

## ◆ operator bool()

operator bool | ( |  | ) | const
| inline

## ◆ operator!=()

bool operator!= | ( | const BaseIterator & | iter | ) | const
| inline

## ◆ operator<()

bool operator< | ( | const BaseIterator & | iter | ) | const
| inline

## ◆ operator=()

BaseIterator& operator= | ( | const BaseIterator & | iter | ) |
| inline

## ◆ operator==()

bool operator== | ( | const BaseIterator & | iter | ) | const
| inline

## ◆ pos()

Index32 pos | ( |  | ) | const
| inline

## ◆ test()

bool test | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ mBitSize

Index32 mBitSize
| protected

## ◆ mParent

const RootNodeMask* mParent
| protected

## ◆ mPos

Index32 mPos
| protected

The documentation for this class was generated from the following file:

- NodeMasks.h